distr3 = function(naklady,dodavky,vzdialenosti,kapacity){
  
  library("lpSolveAPI")
  m = as.numeric(length(naklady))
  n = as.numeric(length(dodavky))
  l = as.numeric(length(vzdialenosti))
  
  if((m*n)!=l){
    return(cat("Skontrolujte si zadan daje nkladov, dodvok, vzdialenost. Bu mte nejak slo navye, alebo vm nejak chba."))
  }
  
  else if(as.numeric(length(kapacity))!=m)
  {
    return(cat("Skontrolujte si zadan daje pre kapacity a nklady. Ich dka nie je toton."))
  }
  
  model = make.lp(0,(l+m))
  ind = list()
  ind[[1]] = seq (1,l, by = n)
  j = 2
  for(i in 1:(n-1)){
    ind[[j]] = seq(1+i,l+i, by = n)
    j = j+1
  }
  
  for(i in 1:n){
    add.constraint(model,c(rep(1,m)), type = "=", rhs = dodavky[i], indices = c(ind[[i]]))
  }
  
  index = list(c(1:n),c((n+1):(n+n)),c((n+n+1):l))
  p = c(((m*n)+1):(l+m))
  
  for (i in 1:m) {
    add.constraint(model,c(rep(1,n),-kapacity[i]), type = "<", rhs = c(0), indices = c(index[[i]][],p[i]))
  }
  
  set.type(model,p,type=c("binary"))
  
  KF = as.vector(t(vzdialenosti))
  
  set.objfn(model,c(KF,naklady))
  lp.control(model,sense='min')
  solve(model)
  if((solve(model))==2){
    return(cat("loha nem rieenie."))
  }
  riesenie = get.variables(model)
  vysledok = get.objective(model)
  
  riesenieY = c(riesenie[p])
  riesenieX = matrix(c(riesenie[1:l]), nrow = m, ncol = n, byrow = TRUE)
  
  cat("Hodnoty X:")
  cat("\n")
  print(riesenieX)
  cat("\n")
  cat("Hodnoty Y:")
  cat("\n")
  print(riesenieY)
  cat("\n")
  cat("Hodnota kriterilnej funkcie je ", vysledok)
}