distr1 = function(naklady,dodavky,vzdialenosti){
  
library("lpSolveAPI")
m = as.numeric(length(naklady))
n = as.numeric(length(dodavky))
l = as.numeric(length(vzdialenosti))

if((m*n)!=l){
  return(cat("Skontrolujte si zadan daje. Bu mte nejak slo navye, alebo vm nejak chba."))
}

model = make.lp(0,(l+m))

CM = matrix(nrow = m, ncol = n)
for(i in 1:m){
  for(j in 1:n){
    CM[i,j] = vzdialenosti[i,j] * dodavky[j]
  }
}

ind = list()
ind[[1]] = seq (1,l, by = n)
j = 2
for(i in 1:(n-1)){
  ind[[j]] = seq(1+i,l+i, by = n)
  j = j+1
}

for(i in 1:n){
  add.constraint(model,c(rep(1,m)), type = "=", rhs = 1, indices = c(ind[[i]]))
}

z = ((l+1):(l+m)) 
j = (0:(m-1)) 

for (k in 1:m){
  for (i in (n*j[k]+1):(n*k)){
    add.constraint(model,c(1,-1), type = "<", rhs = 0, indices = c(i, z[k]))
  }
}

set.type(model,1:(l+m),type=c("binary"))

KF = as.vector(t(CM))

set.objfn(model,c(KF,naklady))
lp.control(model,sense='min')
solve(model)
if((solve(model))==2){
  return(cat("loha nem rieenie."))
}

riesenie = get.variables(model)
vysledok = get.objective(model)

riesenieY = c(riesenie[z])
riesenieX = matrix(c(riesenie[1:l]), nrow = m, ncol = n, byrow = TRUE)
cat("Hodnoty X:")
cat("\n")
print(riesenieX)
cat("\n")
cat("Hodnoty Y:")
cat("\n")
print(riesenieY)
cat("\n")
cat("Hodnota kriterilnej funkcie je ", vysledok)
}

